%if %mdkversion > 1000
%define __libtoolize	/bin/true
%endif
%define __cputoolize	/bin/true
%define extname		thunderbird
%define name		mozilla-%{extname}
%define version 0.8
%define release 4mdk

%define build_name	mozilla
%define moz_name        mozilla-1.6
%define exec_name       mozilla-%{extname}
%define up_ca_name      MozillaThunderbird
%define lib_name        %{exec_name}-%{version}
%define mozillalibdir   %{_libdir}/%{lib_name}

# used for enigmail and protozilla sources:
%define enigmail_version 0.86.1
%define ipc_version      1.0.8

%define section Internet/Mail
%define title   Mozilla Thunderbird

%define summary Mozilla Thunderbird mail/newsgroup client

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	MPL/GPL/LGPL
Group:		Networking/Mail
URL:		http://www.mozilla.org/products/thunderbird/
Source0:	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/thunderbird-source-%{version}.tar.bz2
Source1:	http://downloads.mozdev.org/enigmail/src/ipc-%{ipc_version}.tar.bz2
Source2:	http://downloads.mozdev.org/enigmail/src/enigmail-%{enigmail_version}.tar.bz2
Source3:	%{name}-icons.tar.bz2
Source4:	http://www.mozilla.org/products/thunderbird/releases/index.html
Source5:	mozilla-rebuild-databases.pl.in
Source6:	mozilla-make-package.pl.bz2
Patch:		mozilla-thunderbird-0.8-progname.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:  libpng-devel
BuildRequires:  libmng-devel
BuildRequires:  gtk+2-devel >= 0:1.3.7
BuildRequires:  zip >= 0:2.3
BuildRequires:  libIDL2-devel >= 0:0.8.0
BuildRequires:  libXft2-devel
BuildRequires:  csh
%if %mdkversion > 1000
BuildRequires:  autoconf2.1
%endif
PreReq:		perl >= 0:5.6.0
Requires:	glibc >= 0:2.3.2
Requires:       gtk+2 >= 0:2.2.0 freetype2
Requires:	gnupg
%define _provides_exceptions libnspr4.so\\|libplc4.so\\|libplds4.so\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz.so\\|libxpcom.so
%define _requires_exceptions libnspr4.so\\|libplc4.so\\|libplds4.so\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz.so\\|libxpcom.so

%description
Mozilla Thunderbird is a redesign of the Mozilla mail component, written
using the XUL user interface language and designed to be cross-platform.

%package devel
Summary:	%{up_ca_name} development files
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	mozilla-devel
Conflicts:	libnss3-devel
Conflicts:	libnspr4-devel
Conflicts:	libjs1-devel

%description devel
%{up_ca_name} development files.

%package enigmail
Summary:	GPG support for %{up_ca_name}
Group:		Networking/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-enigmime = %{epoch}:%{version}-%{release}
Requires:	gnupg

%description enigmail
GPG support for %{up_ca_name}.

%package enigmime
Summary: Inter-process communication required for enigmail
Group: Networking/Mail
Prereq: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name} = %{epoch}:%{version}-%{release}

%description enigmime
Inter-process communication required for enigmail.

%prep
%setup -q -n %{build_name}
%patch -p1
%__install -m 644 %{SOURCE4} release-notes.html
%setup -T -D -n %{build_name}/extensions -q -a1
%setup -T -D -n %{build_name}/extensions -q -a2
%setup -T -D -n %{build_name}
%setup -T -D -n %{build_name} -q -a3
%__perl -p -i -e 's|MOZ_APP_NAME=%{extname}|MOZ_APP_NAME=%{exec_name}|' configure.in
autoconf

%build
export MOZ_BUILD_DATE="$(date -u +%Y%m%d%H)"
export MOZ_THUNDERBIRD=1
%configure \
	--with-system-jpeg \
        --with-system-zlib \
        --with-system-png \
        --with-system-mng \
        --disable-calendar \
	--enable-xft \
        --disable-pedantic \
        --disable-svg \
        --enable-mathml \
        --without-system-nspr \
        --enable-nspr-autoconf \
        --enable-xsl \
        --enable-crypto \
        --enable-xinerama \
        --with-pthreads \
        --with-default-mozilla-five-home=%{mozillalibdir} \
        --with-user-appdir=.thunderbird \
        --disable-jsd \
        --disable-accessibility \
        --disable-profilesharing \
        --disable-necko-disk-cache \
        --disable-activex-scripting \
        --disable-installer \
        --disable-activex \
        --disable-tests \
        --disable-debug \
        --disable-dtd-debug \
        --disable-logging \
        --enable-reorder \
        --enable-strip \
        --enable-strip-libs \
        --enable-xterm-updates \
        --disable-toolkit-qt \
        --disable-toolkit-xlib \
        --enable-extensions=wallet,spellcheck,xmlextras \
        --enable-necko-protocols=http,file,jar,viewsource,res,data \
        --enable-image-decoders=png,gif,jpeg,bmp \
	--enable-toolkit-gtk2 \
	--enable-default-toolkit=gtk2 \
	--disable-toolkit-gtk \
	--enable-ipv6 \
	--disable-freetype2 \
	--enable-single-profile
# let jars get compressed
%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl
%make
cd extensions/ipc
SECURE_LEVEL= ./makemake
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make
cd ../enigmail
SECURE_LEVEL= ./makemake -r
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make
(cd lang
 %__perl -p -i -e 's|es-AR/enigmail.properties|es-ES/enigmail.properties|' jar.mn
 BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make
)
cd ../..

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall_std destdir=%buildroot
mv %buildroot%_bindir/defaults/profile/prefs.js %buildroot%{_libdir}/%{lib_name}/defaults/profile/

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
%__cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): \
command="soundwrapper %{_bindir}/%{exec_name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="Mozilla Thunderbird is a redesign of Mozilla's Mail/News Client"
EOF

# icons
%__install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
%__install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
%__install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

# move Thunderbird stuff
%__mv %buildroot%_bindir/%extname %buildroot%_bindir/%exec_name

# rename pkg-config files
pushd %buildroot%_libdir/pkgconfig
for i in *.pc; do
  %__perl -p -i -e 's|mozilla-nspr|%{name}-nspr|' $i
  %__perl -p -i -e 's|mozilla-xpcom|%{name}-xpcom|' $i
done
popd

pushd $RPM_BUILD_ROOT
find .%{mozillalibdir} -type d | sed 's|^.|\%dir |' > ${RPM_BUILD_DIR}/%{build_name}/mozilla-libdir.list
find .%{mozillalibdir} -type f | sed 's|^.||'      >> ${RPM_BUILD_DIR}/%{build_name}/mozilla-libdir.list
popd

# install our rebuild file
%__perl -p -e 's|LIBDIR/mozilla-MOZILLA_VERSION|%{mozillalibdir}|g' %{SOURCE5} > mozilla-rebuild-databases.pl.in
%__install -m 755 mozilla-rebuild-databases.pl.in $RPM_BUILD_ROOT%{mozillalibdir}/mozilla-rebuild-databases.pl

# enigmail
for i in components/enigmime.xpt components/ipc.xpt components/libenigmime.so \
        components/enigmail.js components/enigmail.xpt chrome/enigmail.jar \
        chrome/enigmail-skin.jar components/enigprefs-service.js \
        ; do
                %__install dist/bin/$i $RPM_BUILD_ROOT/%{mozillalibdir}/$i;
done

%__rm -f ${RPM_BUILD_DIR}/%{build_name}/mozilla-enigmail.list
bzip2 -cd %{SOURCE6} > mozilla-make-package.pl
chmod 755 mozilla-make-package.pl
./mozilla-make-package.pl --package enigmail \
    --output-file ${RPM_BUILD_DIR}/%{build_name}/mozilla-enigmail.list \
    --package-file ${RPM_BUILD_DIR}/%{build_name}/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%__rm -f ${RPM_BUILD_DIR}/%{build_name}/mozilla-enigmime.list
./mozilla-make-package.pl  --package enigmime \
    --output-file ${RPM_BUILD_DIR}/%{build_name}/mozilla-enigmime.list \
    --package-file ${RPM_BUILD_DIR}/%{build_name}/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%{mozillalibdir}/mozilla-rebuild-databases.pl
### Start of Massive Hack ###
#(copied from the debian package)
HOME=`mktemp -d /tmp/thunderbird-rpm.XXXXXX`
export HOME
unset MOZILLA_FIVE_HOME || :
MOZILLA_FIVE_HOME=%{mozillalibdir}
export MOZILLA_FIVE_HOME

# PATH
PATH=%{mozillalibdir}:$PATH
export PATH

# added /usr/lib : don't load your local library
LD_LIBRARY_PATH=%{mozillalibdir}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

%{__mkdir_p} $HOME/.thunderbird/default
%{__cp} -rf %{mozillalibdir}/defaults/profile/* $HOME/.thunderbird/default
# preseed profiles.ini
%{__cat} >$HOME/.thunderbird/profiles.ini <<EOF
[General]
StartWithLastProfile=1

[Profile0]
Name=default
IsRelative=1
Path=default

EOF
thunderbird-bin -register
%{__rm} -rf $HOME
### End of Massive Hack ###

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  %{__rm} -rf %{mozillalibdir}/chrome/overlayinfo
  %{__rm} -rf %{mozillalibdir}/components
  %{__rm} -f  %{mozillalibdir}/chrome/*.rdf
  %{__rm} -rf %{mozillalibdir}/extensions
fi

%post devel
update-alternatives --install %{_bindir}/mozilla-config mozilla-config		%{_bindir}/%{exec_name}-config			10	\
--slave %_libdir/pkgconfig/mozilla-gtkmozembed.pc	mozilla-gtkmozembed.pc	%_libdir/pkgconfig/%{name}-gtkmozembed.pc		\
--slave %_libdir/pkgconfig/mozilla-js.pc		mozilla-js.pc		%_libdir/pkgconfig/%{name}-js.pc 			\
--slave %_libdir/pkgconfig/mozilla-nspr.pc		mozilla-nspr.pc		%_libdir/pkgconfig/%{name}-nspr.pc			\
--slave %_libdir/pkgconfig/mozilla-nss.pc		mozilla-nss.pc		%_libdir/pkgconfig/%{name}-nss.pc			\
--slave %_libdir/pkgconfig/mozilla-plugin.pc		mozilla-plugin.pc	%_libdir/pkgconfig/%{name}-plugin.pc			\
--slave %_libdir/pkgconfig/mozilla-xpcom.pc		mozilla-xpcom.pc	%_libdir/pkgconfig/%{name}-xpcom.pc

%postun
%clean_menus
if [ $1 -gt 1 ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun devel
if [ "$1" = "0" ]; then
    update-alternatives --remove mozilla-config %{_bindir}/%{exec_name}-config
fi

%post enigmail
%__perl -pi -e 's/.*enigmail.*\n//' %{mozillalibdir}/chrome/installed-chrome.txt
%__cat << EOF >> %{mozillalibdir}/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/classic/enigmail/
locale,install,url,jar:resource:/chrome/enigmail.jar!/locale/en-US/enigmail/
EOF
%{mozillalibdir}/mozilla-rebuild-databases.pl

%preun enigmail
if [ $1 -eq 0 ]
then %__perl -pi -e 's/.*enigmail.*\n//' %{mozillalibdir}/chrome/installed-chrome.txt
  %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%post enigmime
%{mozillalibdir}/mozilla-rebuild-databases.pl

%preun enigmime
if [ $1 -eq 0 ]
then %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%files -f mozilla-libdir.list
%defattr(-,root,root)
%doc README.txt LEGAL LICENSE release-notes.html
%{_bindir}/%{exec_name}
%{mozillalibdir}/mozilla-rebuild-databases.pl
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%files devel
%defattr(-,root,root)
%{_bindir}/%{exec_name}-config
%{_includedir}/*
%{_datadir}/aclocal/*
%dir %{_datadir}/idl/%{lib_name}
%{_datadir}/idl/%{lib_name}/*
%{_libdir}/pkgconfig/*

%files enigmail -f mozilla-enigmail.list
%defattr(-,root,root)
%dir %{mozillalibdir}/chrome
%dir %{mozillalibdir}/components
%{mozillalibdir}/chrome/enigmail.jar
%{mozillalibdir}/chrome/enigmail-skin.jar
%{mozillalibdir}/components/enigmail.js
%{mozillalibdir}/components/enigprefs-service.js
%{mozillalibdir}/components/enigmail.xpt

%files enigmime -f mozilla-enigmime.list
%defattr(-,root,root)
%dir %{mozillalibdir}/components
%{mozillalibdir}/components/enigmime.xpt
%{mozillalibdir}/components/ipc.xpt
%{mozillalibdir}/components/libenigmime.so

%changelog
* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-4mdk
- drop xvfb hack, call thunderbird-bin -register instead
- upgrade enigmail to 0.86.1

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-3mdk
- update release notes
- update enimail

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix URL
- fix binary name

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- fix installation
- fix URL
- New release 0.8

* Fri Aug 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.3-2mdk
- enigmail 0.85.0
- merge fixes from Club (Thu Jul 01 2004 0.7.1-0.100.1mdk)
 - enigmail 0.84.2, ipc 1.0.7
 - fix scripts to not remove entries just added, and not use scripts we just
   uninstalled (preuninstead of postun).

* Thu Aug  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- increase sleep time in the postinstall script
- New release 0.7.3

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- use hacks from the fedora package to run mozilla-thunderbird as root first
- New release 0.7.2

* Wed Jun 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- compress source 6
- reenable libtoolize on Cooker
- fix 10.0 build
- New release 0.7.1

* Mon Jun 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-2mdk
- dropped patch0, fixed upstream (Sebastian Dransfeld <sebastian.dransfeld@ntnu.no>)

* Fri Jun 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.7-1mdk 
- new version
- --enable-single-profile

* Sat Jun 12 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-2mdk
- BuildRequires autoconf2.1

* Thu May 20 2004 Pascal Terjan <pterjan@mandrake.org> 0.6-1mdk
- 0.6
- rediff patch0
- some cleaning, some more should be done

* Sun Feb 29 2004  David Walluck <walluck@linux-mandrake.com> 0:0.5-12mdk
- mozilla-rebuild-databases.pl should always be there, even for enigmail
  and enigmime packages
- ditto for installed-chrome.txt

* Sun Feb 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.5-11mdk
- moved alternatives installation to devel package %%post 
- don't test for mozilla-rebuild-databases.pl presence, it is included

* Wed Feb 25 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-10mdk
- install mozilla-rebuild-databases.pl
- enigmail chrome should only be installed in %%post and not in %%install
- remove enigmail lang support as per mozilla-enigmail package
- remove old enigmail chrome on enigmail package install/upgrade
- always install enigmail chrome on enigmail package install/upgrade

* Tue Feb 24 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-9mdk
- don't own mozilla-config

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:0.5-8mdk
- fix file list

* Mon Feb 23 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-7mdk
- use %%configure
- fix enigmail lang jar creation
- remove %%{builddate} macro, but still set MOZ_BUILD_DATE
- alternativize mozilla-config and pkgconfig files
- don't enable cpp-rtti

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-6mdk
- fix permissions on patch

* Sun Feb 22 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-5mdk
- fix conflict with other mozilla's (Frederik Himpe)

* Sun Feb 15 2004 David Walluck <walluck@linux-mandrake.com> 0:0.5-4mdk
- use official CVS tagged release (dos2unix no longer needed)
- no more debian patch (I'm not sure which version this applies to)
- compress jars
- split off enigmail and enigmime packages
- add missing enigprefs-service.js to enigmail package
- change menu group for mdk 10.0
- enable xinerama extension as in mozilla-firebird package
- add %%{builddate} macro
- add %%{build_name} macro as in mozilla-firebird package
- add epochs
- Mark Baas <m.baas@zarb.org> contributed heavily to this spec file,
  including updating for 0.5, contributing icons, and initial
  enigmail support

* Sun Feb 15 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-3mdk
- Ship original source and dos2unix it (instead of hacked-up source tarball)

* Thu Feb 12 2004 Christophe Guilloux <cg-ml@rootix.info> 0.5-2mdk
- based on 0.3-1mdk

* Thu Oct 16 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.3-1mdk
- First Mandrake package, based on mozilla-firebird-0.6.1-6mdk

